edu.wpi.first.wpilibj.hal

## Class AnalogJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.AnalogJNI

-     public class AnalogJNI
      extends JNIWrapper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AnalogJNI.AnalogTriggerType` native declaration : AthenaJava\target\native\include\HAL\Analog.h:58 enum values

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalogJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkAnalogInputChannel(int channel)`
    `static boolean` | `checkAnalogModule(byte module)`
    `static boolean` | `checkAnalogOutputChannel(int channel)`
    `static void` | `cleanAnalogTrigger(int analogTriggerHandle)`
    `static void` | `freeAnalogInputPort(int portHandle)`
    `static void` | `freeAnalogOutputPort(int portHandle)`
    `static int` | `getAccumulatorCount(int analogPortHandle)`
    `static void` | `getAccumulatorOutput(int analogPortHandle, java.nio.LongBuffer value, java.nio.LongBuffer count)`
    `static long` | `getAccumulatorValue(int analogPortHandle)`
    `static int` | `getAnalogAverageBits(int analogPortHandle)`
    `static int` | `getAnalogAverageValue(int analogPortHandle)`
    `static double` | `getAnalogAverageVoltage(int analogPortHandle)`
    `static int` | `getAnalogLSBWeight(int analogPortHandle)`
    `static int` | `getAnalogOffset(int analogPortHandle)`
    `static double` | `getAnalogOutput(int portHandle)`
    `static int` | `getAnalogOversampleBits(int analogPortHandle)`
    `static double` | `getAnalogSampleRate()`
    `static boolean` | `getAnalogTriggerInWindow(int analogTriggerHandle)`
    `static boolean` | `getAnalogTriggerOutput(int analogTriggerHandle, int type)`
    `static boolean` | `getAnalogTriggerTriggerState(int analogTriggerHandle)`
    `static short` | `getAnalogValue(int analogPortHandle)`
    `static double` | `getAnalogVoltage(int analogPortHandle)`
    `static int` | `getAnalogVoltsToValue(int analogPortHandle, double voltage)`
    `static void` | `initAccumulator(int analogPortHandle)`
    `static int` | `initializeAnalogInputPort(int halPortHandle)`
    `static int` | `initializeAnalogOutputPort(int halPortHandle)`
    `static int` | `initializeAnalogTrigger(int analogInputHandle, java.nio.IntBuffer index)`
    `static boolean` | `isAccumulatorChannel(int analogPortHandle)`
    `static void` | `resetAccumulator(int analogPortHandle)`
    `static void` | `setAccumulatorCenter(int analogPortHandle, int center)`
    `static void` | `setAccumulatorDeadband(int analogPortHandle, int deadband)`
    `static void` | `setAnalogAverageBits(int analogPortHandle, int bits)`
    `static void` | `setAnalogOutput(int portHandle, double voltage)`
    `static void` | `setAnalogOversampleBits(int analogPortHandle, int bits)`
    `static void` | `setAnalogSampleRate(double samplesPerSecond)`
    `static void` | `setAnalogTriggerAveraged(int analogTriggerHandle, boolean useAveragedValue)`
    `static void` | `setAnalogTriggerFiltered(int analogTriggerHandle, boolean useFilteredValue)`
    `static void` | `setAnalogTriggerLimitsRaw(int analogTriggerHandle, int lower, int upper)`
    `static void` | `setAnalogTriggerLimitsVoltage(int analogTriggerHandle, double lower, double upper)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalogJNI

          public AnalogJNI()

  - ### Method Detail

    - #### initializeAnalogInputPort

          public static int initializeAnalogInputPort(int halPortHandle)

    - #### freeAnalogInputPort

          public static void freeAnalogInputPort(int portHandle)

    - #### initializeAnalogOutputPort

          public static int initializeAnalogOutputPort(int halPortHandle)

    - #### freeAnalogOutputPort

          public static void freeAnalogOutputPort(int portHandle)

    - #### checkAnalogModule

          public static boolean checkAnalogModule(byte module)

    - #### checkAnalogInputChannel

          public static boolean checkAnalogInputChannel(int channel)

    - #### checkAnalogOutputChannel

          public static boolean checkAnalogOutputChannel(int channel)

    - #### setAnalogOutput

          public static void setAnalogOutput(int portHandle,
                                             double voltage)

    - #### getAnalogOutput

          public static double getAnalogOutput(int portHandle)

    - #### setAnalogSampleRate

          public static void setAnalogSampleRate(double samplesPerSecond)

    - #### getAnalogSampleRate

          public static double getAnalogSampleRate()

    - #### setAnalogAverageBits

          public static void setAnalogAverageBits(int analogPortHandle,
                                                  int bits)

    - #### getAnalogAverageBits

          public static int getAnalogAverageBits(int analogPortHandle)

    - #### setAnalogOversampleBits

          public static void setAnalogOversampleBits(int analogPortHandle,
                                                     int bits)

    - #### getAnalogOversampleBits

          public static int getAnalogOversampleBits(int analogPortHandle)

    - #### getAnalogValue

          public static short getAnalogValue(int analogPortHandle)

    - #### getAnalogAverageValue

          public static int getAnalogAverageValue(int analogPortHandle)

    - #### getAnalogVoltsToValue

          public static int getAnalogVoltsToValue(int analogPortHandle,
                                                  double voltage)

    - #### getAnalogVoltage

          public static double getAnalogVoltage(int analogPortHandle)

    - #### getAnalogAverageVoltage

          public static double getAnalogAverageVoltage(int analogPortHandle)

    - #### getAnalogLSBWeight

          public static int getAnalogLSBWeight(int analogPortHandle)

    - #### getAnalogOffset

          public static int getAnalogOffset(int analogPortHandle)

    - #### isAccumulatorChannel

          public static boolean isAccumulatorChannel(int analogPortHandle)

    - #### initAccumulator

          public static void initAccumulator(int analogPortHandle)

    - #### resetAccumulator

          public static void resetAccumulator(int analogPortHandle)

    - #### setAccumulatorCenter

          public static void setAccumulatorCenter(int analogPortHandle,
                                                  int center)

    - #### setAccumulatorDeadband

          public static void setAccumulatorDeadband(int analogPortHandle,
                                                    int deadband)

    - #### getAccumulatorValue

          public static long getAccumulatorValue(int analogPortHandle)

    - #### getAccumulatorCount

          public static int getAccumulatorCount(int analogPortHandle)

    - #### getAccumulatorOutput

          public static void getAccumulatorOutput(int analogPortHandle,
                                                  java.nio.LongBuffer value,
                                                  java.nio.LongBuffer count)

    - #### initializeAnalogTrigger

          public static int initializeAnalogTrigger(int analogInputHandle,
                                                    java.nio.IntBuffer index)

    - #### cleanAnalogTrigger

          public static void cleanAnalogTrigger(int analogTriggerHandle)

    - #### setAnalogTriggerLimitsRaw

          public static void setAnalogTriggerLimitsRaw(int analogTriggerHandle,
                                                       int lower,
                                                       int upper)

    - #### setAnalogTriggerLimitsVoltage

          public static void setAnalogTriggerLimitsVoltage(int analogTriggerHandle,
                                                           double lower,
                                                           double upper)

    - #### setAnalogTriggerAveraged

          public static void setAnalogTriggerAveraged(int analogTriggerHandle,
                                                      boolean useAveragedValue)

    - #### setAnalogTriggerFiltered

          public static void setAnalogTriggerFiltered(int analogTriggerHandle,
                                                      boolean useFilteredValue)

    - #### getAnalogTriggerInWindow

          public static boolean getAnalogTriggerInWindow(int analogTriggerHandle)

    - #### getAnalogTriggerTriggerState

          public static boolean getAnalogTriggerTriggerState(int analogTriggerHandle)

    - #### getAnalogTriggerOutput

          public static boolean getAnalogTriggerOutput(int analogTriggerHandle,
                                                       int type)